> For the complete documentation index, see [llms.txt](https://docs.decentraland.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/ru-men/dev-workflow.md).

# 开发工作流

使用 Creator Hub 创建 Decentraland 场景的推荐工作流，从构思到测试和发布。

本文档概述了为 Decentraland 开发场景所建议的步骤，从构思到发布以及后续。

## 我该如何创建一个 Decentraland 场景？

1. **安装** [**Creator Hub**](https://decentraland.org/download/creator-hub)，这是用于创建、预览和发布场景的官方桌面应用程序。它是面向所有技能水平创作者的推荐工具。
2. **如果你使用 AI 编程助手** （如 Claude Code、Cursor 或 Copilot），请安装官方 [Decentraland SDK 技能](/creator/content-creator-zh/chang-jing-sdk7/ru-men/vibe-coding.md) ，这样它就知道经过验证的 SDK7 模式： `npx skills add decentraland/sdk-skills`
3. **该** [**CLI**](/creator/content-creator-zh/chang-jing-sdk7/ru-men/using-the-cli.md) 是面向高级用户和自动化工作流的替代方案。

以下各节将展开说明该工作流的每个阶段。

## 安装 Creator Hub

请确保你已安装 Decentraland Creator Hub。

* [安装指南](/creator/content-creator-zh/chang-jing-bian-ji-qi/ru-men/editor-installation.md)

如果你打算使用代码，也请确保安装 [Visual Studio Code](https://code.visualstudio.com/) 或 [Cursor AI](https://www.cursor.com/).

{% hint style="info" %}
**💡 提示**：你还可以使用 AI 助手，根据自然语言描述生成场景代码。参见 [借助 AI 进行氛围编程](/creator/content-creator-zh/chang-jing-sdk7/ru-men/vibe-coding.md) 以了解如何开始使用 AI 辅助开发。
{% endhint %}

## 设计你的体验

考虑一下你需要占用多少空间、怎样的分布、希望玩家能够执行哪些机制等等。以下文档可作为指南：

* [UX 与 UI 指南](/creator/content-creator-zh/chang-jing-sdk7/ti-yan-she-ji/ux-ui-guide.md)
* [游戏设计约束](/creator/content-creator-zh/chang-jing-sdk7/ti-yan-she-ji/design-games.md)
* [场景 MVP 指南](/creator/content-creator-zh/chang-jing-sdk7/ti-yan-she-ji/mvp-guidelines.md)

## 发布到哪里

在 Decentraland 中，内容发布到有限空间内相邻的土地地块上。玩家可以自由地从一个地块走到另一个地块。每个场景都是一个独立封闭的小世界，一个场景中的物品不能延伸到另一个场景中，而且每个场景的代码都与其他场景隔离运行。

是否允许发布到这些地块由代币控制。你不需要土地也可以开发场景，但一旦准备发布，你就需要获得土地访问权限。

或者，你也可以选择发布到 Decentraland [Worlds](/creator/content-creator-zh/chang-jing-sdk7/fa-bu/publishing-options.md#decentraland-worlds)，它们是自包含且彼此隔离的场景。

可用选项如下：

* 租用 LAND
* 购买 LAND
* 从土地所有者处获得权限
* 发布到 Decentraland World，参见 [世界](/creator/content-creator-zh/chang-jing-sdk7/fa-bu/publishing-options.md#decentraland-worlds) 以了解更多。

参见 [发布选项](/creator/content-creator-zh/chang-jing-sdk7/fa-bu/publishing-options.md) 了解更多详情。

## 模板和示例

创建新场景时，可以在若干基础模板场景中选择，它们包含一些基础代码和 3D 模型。用它们能更快上手。

* [示例场景](https://studios.decentraland.org/resources?sdk_version=SDK7)：在这里你可以找到大量示例场景合集，每个场景都展示了不同的机制，你可以借鉴。你也可以克隆这些场景中的任意一个，并将其作为起点。
* [辅助库](https://studios.decentraland.org/resources?sdk_version=SDK7\&resource_type=Library)：这些可以简化许多常见任务。

## 美术资源

如果你是经验丰富的艺术家，或者你能找到这样的人，你可以为你的场景创建自定义 `.gltf` 或 `.glb` 模型。参见 [3D 模型要点](/creator/content-creator-zh/3d-jian-mo-yu-dong-hua/3d-models.md) ，了解为 Decentraland 创建 3D 模型的技巧。

不过，你不需要自己创建资源。参见 [实用资源](/creator/content-creator-zh/chang-jing-sdk7/ru-men/useful-resources.md) 获取资源库和可用于生成 3D 模型的生成式 AI 工具，以及其他可加快工作流程的工具。

## 运行本地预览

要运行场景预览，请在 Creator Hub 中打开它并点击 **播放** 按钮。或者，如果你使用命令行，请在 `npm run start` 中运行。

* [预览你的场景](/creator/content-creator-zh/chang-jing-sdk7/ru-men/preview-scene.md) 了解更多详情。
* 查看 [调试场景](/creator/content-creator-zh/chang-jing-sdk7/ru-men/preview-scene.md#debug-a-scene) 获取有关如何调试任何问题的提示。
* 启用 **压缩资源** 在 **桌面客户端** 的子菜单中的 **播放选项** （或者运行 `npm run start -- --local-ab` 来将你的 3D 模型作为优化后的资源包加载。预览运行更流畅，并且显示的模型会与发布后的样子完全一致。参见 [使用优化后的资源预览](/creator/content-creator-zh/chang-jing-sdk7/ru-men/preview-scene.md#preview-with-optimized-assets).

{% hint style="info" %}
**💡 提示**：使用 Creator Hub 时，每次你对场景进行更改，预览都会自动更新。即使在运行中也是如此。
{% endhint %}

## 发布到 Decentraland

一旦你对场景满意，就该发布到 Decentraland 了。为此，你需要拥有 LAND、Decentraland NAME 或 ETH ENS 名称，或者获得拥有这些权限的人的授权。

参见 [发布](/creator/content-creator-zh/chang-jing-sdk7/fa-bu/publishing.md) 了解操作说明。

或者，你也可以发布到 [Worlds](/creator/content-creator-zh/chang-jing-sdk7/fa-bu/publishing-options.md#decentraland-worlds)，一个不需要 LAND 的个人 3D 空间。

## 推广

现在你的场景已经上线了，快把消息传播出去！以下是一些方法：

* 在社交媒体上分享（#DCL）
* 在上宣布 [Discord](https://dcl.gg/discord)
* 提交它以便在 [events.decentraland.org](https://events.decentraland.org/)
* 在你的场景中组织一场活动
* 在通往你场景的高流量区域添加一个出生点

## 迭代

一旦你的场景上线一段时间并且收到了玩家反馈，你就非常适合对其进行迭代！

通过改进和新功能更新你的内容，将场景的新版本部署到相同坐标。

## 回馈

如果你创建了一个让你自豪的场景、游戏或应用，不妨把它开源！这样其他人就可以从你的代码中学习，并在你的工作基础上继续构建。你也可以在 [Awesome 资源库](https://github.com/decentraland-scenes/Awesome-Repository).

如果你构建了一个可复用的功能模块，你可能会想把它做成一个供他人导入到其项目中的库。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/ru-men/dev-workflow.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
